Subject: Re: More problems with cron
From: Noel Yap <[email-masked]>
To: Peter Buckley <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Jun 2002 08:01:22 -0700 (PDT)

--- Peter Buckley <[email-masked]> wrote:
> The SYSTEM user does not have access to network
> drives. You might try 
> giving it *all* NT rights, but that could be
> dangerous. And even then it 
> might not be able to access the drives for some
> reason that I am unaware 
> of the mechanics of but is unsurmountable. You won't
> be able to write 
> directly to network drives as the SYSTEM user, you
> won't be able to rsh 
> to other machines as the SYSTEM user either if
> network drives are 
> involved. The SYSTEM user just won't do network
> drives. You can try 
> creating a domain user that has rights equivalent to
> SYSTEM (read the 
> openssh_x-x-x.README and in the NTSEC/mkpasswd notes
> in the cygwin FAQ), 
> but this could be dangerous.
> 
> I don't know about the CYGWIN variable not being
> set- is it a system 
> variable, or a user variable? But I don't think it
> "prevents" SYSTEM 
> from accessing network drives, that is a known NT
> limitation.
> 
> HTH,
> Peter

I've changed the CYGWIN env var from a user var to a
system var, but bash still doesn't see it.  IIRC, bash
used to be able to see it.  I don't know when this
behaviour changed.

Assuming what you say about SYSTEM is true (and I have
no reason to doubt it), you're right that the CYGWIN
env var thing probably has nothing to do with the
rsh'ing problems I'm facing.

This helps *a lot*.

Thanks much,
Noel

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/